Bug 117861 - "insmod ide-cd failed" when booting Linux Fedora Core 1
"insmod ide-cd failed" when booting Linux Fedora Core 1
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-03-09 07:56 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 16:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-03-09 07:56:32 EST
Description of problem:
I have a dual boot system with Win2000/Linux (Fedora Core 1). Under 
Win2000, both the floppy and the cd-rom (Samsung SC-152AEB 52X) work 
Whenever I boot my PC with Linux, in the /var/log/messages file I 
read the following messages: "insmod ide-cd failed", "insmod floppy 
failed", "insmod fat failed", "insmod vfat failed" and "insmod msdos 
failed". When I try to mount the cd-rom using:
mount -t iso9660 /dev/cdrom /mnt/cdrom
I get the following error:
/dev/cdrom is not a valid block device.
I also have a fat partition on my PC located on /dev/hda5. When I try 
to mount it using:
mount -t fat /dev/hda5 /mnt/share
I get the following error:
filesystem of type fat not supported by the kernel.
The same appens when I try to mount using vfat or msdos.

Version-Release number of selected component (if applicable):
Kernel 2.4.22 (the default kernel for the Fedora Core 1 release)

How reproducible:
Anytime I try to mount cdrom, floppy or FAT partition

Steps to Reproduce:
1.Boot the system with Fedora Core 1
2.Log in as root
3.mount -t iso9660 /dev/cdrom /mnt/cdrom or 
mount -t fat /dev/hda5 /mnt/share
Actual results:
"/dev/cdrom is not a valid block device" or
"filesystem of type fat not supported by kernel"

Expected results:
It have to mount the cdrom or the fat partition without any problem

Additional info:
Comment 1 Dave Jones 2004-03-09 09:24:59 EST
the filesystem you want is 'vfat' not 'fat'.
Comment 2 Need Real Name 2004-03-09 12:06:21 EST
Yes, but even when I mount the partition using:
mount -t vfat /dev/hda5 /mnt/share
I get the same error message:
"filesystem vfat not supported by kernel".
And what about the problem mounting the cd-rom ?
Comment 3 Sahil Verma 2004-03-15 20:39:37 EST
Are you positive you have the default nptl kernel that came with FC1
and not a custom kernel?

Can you load any modules at all? What is the output of lsmod? Modutils

Also post the output file from this:

#strace -o modprobe.out modprobe ide-cd
Comment 4 Need Real Name 2004-03-22 08:07:21 EST
Yes, the kernel is the default kernel, 2.4.22.
After executing lsmod, it appears that no module has been loaded. The 
output of lsmod is just an empty row. 
I can't post the content of the modprobe.out file: the computer 
running Linux is not connected to the internet and I can't mount 
Comment 5 David Lawrence 2004-09-29 16:10:24 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.